package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.SwitchPortModel;
import com.bocloud.common.model.BocloudResult;

/**
 * 交换机端口
 */
public interface SwitchPortProvider {
    public BocloudResult list();

    BocloudResult create(SwitchPortModel model);

    BocloudResult remove(SwitchPortModel model);

    BocloudResult modify(SwitchPortModel model);
}
